/* FALTA POR PONER:
    - COLORES A LOS ENLACES */

/* FUENTES */
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&family=Quicksand:wght@300..700&display=swap');

/* VARIABLES COLORES */
:root{
    --blanco: #ffffff;
    --blancoBase: #F4E2DE;
    --Claro: rgb(247, 243, 242);
    --naranja: #F29325;
    --naranjaSelec: #fcc653;
    --naranjaHover: #eb790f;
    --naranjaOscuro: #D94F04;
    --VerdosoClaro:#007172;
    --VerdosoClaroPlaceholder:#65a2a3;
    --VerdosoOscuro:#025259;
}

/*ANIMACIONES*/
@keyframes move{
    from{
        transform: translateX(0);
    }
    to{
        transform: translateX(-5px);
    }
}

@keyframes tambaleo{
    from{
        transform: rotate(-5deg);
    }
    to{
        transform: rotate(5deg);
    }
}

*{
    box-sizing: border-box;
}

body{

    background-color: var(--VerdosoClaroPlaceholder);
}

header{
    background-color: var(--Claro);
    width: 100%;
    height: 200px;
}

header img{
    display: inline-block;
    width: 450px;
    margin-left: 100px;
    vertical-align: middle;
}

header h1{
    display: inline-block;
    width: 20%;
    height: 100px;
    vertical-align: top;
    margin-left: 150px;
    font-size: 50px;
    text-align: center;
    color: var(--naranja);
    -webkit-text-stroke-width: 1px; /* Grosor */
    -webkit-text-stroke-color: var(--naranjaOscuro);
    font-family: 'Oswald';
    line-height: 1;
}

header span{
    color: var(--blanco);
    /*Color del borde*/
    -webkit-text-stroke-width: 2px; /* Grosor */
    -webkit-text-stroke-color: var(--naranjaOscuro);
}

nav{
    background-color: var(--naranja);
    width: 100%;
    height: 75px;
    border-top: solid var(--blancoBase) 3px;
    border-bottom: solid var(--naranjaOscuro) 3px;
    font-family: 'Oswald';

    position: relative; /* Para colocar el logo en la esquina izquierda */
}

nav ul {
    list-style-type: none;
    text-align: center;
    /*Los navegadores añaden margin y padding por defecto a ul*/
    margin: 0;
    padding: 0;
}

nav li{
    display: inline-block;
}

nav a{
    display: block;
    text-decoration: none;
    color:var(--Claro);
    font-size: 30px;

    padding: 10px 20px 10px 20px; /*top right bottom left*/
}

nav a:hover{
    background-color: var(--naranjaHover);
    border-radius: 10px;
    color: var(--naranjaOscuro);
    font-weight: bold;
    border-bottom: solid var(--naranjaOscuro) 5px;
}

nav img{
    position: absolute; /* Para colocar el logo en la esquina izquierda */
    left: 1px;
    width: 110px;
}

.seleccionado{
    background-color: var(--naranjaOscuro);
    border-radius: 10px;
    color: var(--naranjaSelec);
    border-bottom: solid var(--naranjaOscuro) 5px;
}

.cerrar{
    display: inline-block;
    font-size: 20px;
}

.cerrarDer{
    float: right;
}

.cerrar:hover{
    animation: tambaleo;
    animation-duration: 1s;
    animation-iteration-count: infinite; /*Se repite de manera infinita*/
    animation-direction: alternate; /* La animación se reproduce en sentido contrario */
}

.puerta{   
    display: inline-block;
    width: 20px;
    height: 20px;
    background-image: url(../IMG/doorlock.png); 
    background-size: cover;           
    background-position: center;    
    background-repeat: no-repeat;    
    margin-right: 5px;
}

.puerta:hover{   
    width: 20px;
    height: 20px;
    background-image: url(../IMG/opendoor.png); 
    background-size: cover;           
    background-position: center;    
    background-repeat: no-repeat;    
    margin-right: 5px;
}

main {
        max-width: 900px;
        margin: 40px auto;
        padding: 20px;
        font-family: 'Quicksand', sans-serif;
    }

.portada{
    background-image: url(../IMG/companiaDeJesus.png); 
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 70vh;
    padding: 2% 0 0 5%;

}

.jesuitas{
    background: rgba(0, 0, 0, 0.8);
    border-radius: 10px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
    border: solid var(--VerdosoClaroPlaceholder) 7px;
    width: 40%;
    height: 500px;
    padding: 2%;
}

.jesuitas h2{
    color: var(--blanco);
    font-size: 40px;
    text-align: center;
}

.barraSeparadora{
    width: 100%;
    height: 3px;
    background-color: var(--VerdosoClaroPlaceholder);
    margin: 20px 0;
}

.jesuitas p{
    color: var(--blanco);
    font-size: 25px;
    line-height: 1.6;
    text-align: justify;
}

.jesuitas span{
    background-color: black;
    color: var(--blancoBase);
    font-size: 25px;
}

.portada a{
    display: inline-block;
    margin-top: 20px;
    padding: 20px;
    background-color: var(--naranjaSelec);
    color: var(--naranjaOscuro);
    text-decoration: none;
    font-size: 30px;
    border-radius: 5px;
    font-family: 'Quicksand';
    text-align: center;
}

.portada a:hover{
    animation: move 1s ease-in-out infinite alternate;
}

.volver{
    padding: 20px;
    color: var(--blanco);
    text-decoration: none;
    font-size: 20px;
    border-radius: 5px;
    font-family: 'Quicksand';
}

section {
    background: white;
    margin-bottom: 25px;
    padding: 30px;
    border-radius: 15px;
    box-shadow: 0 8px 20px rgba(0,0,0,0.2);
}
h1 {
    text-align: center;
    color: white;
    margin-bottom: 30px;
}
h2 {
    color: #4ca1af;
    margin-bottom: 10px;
}
article {
    margin-top: 15px;
    line-height: 1.6;
}
.highlight {
    background: #f0f8ff;
    padding: 15px;
    border-left: 5px solid #4ca1af;
    border-radius: 8px;
    margin-top: 15px;
}

footer {
    text-align: center;
    padding: 20px;
    background-color: #f2f2f24b;
}

footer img {
    width: 100px;
    display: block;
    margin: 0 auto;
}

footer p {
    margin-top: 10px;
    font-size: 14px;
    color: #555;
}